architecture: arm64
battery: {removable: False, capacity: 3520, tech: 'Li-Ion'}
bluetooth: {spec: '5', profiles: [A2DP + aptX HD]}
cameras:
- {flash: 'Dual LED', info: '12.2 MP'}
- {flash: None, info: '8 MP'}
codename: taimen
cpu: Kryo 280
cpu_cores: '8'
cpu_freq: 4 x 2.35 GHz + 4 x 1.9 GHz
current_branch: 20
custom_unlock_cmd: 'fastboot flashing unlock'
dimensions: {width: '76.7 mm (3.02 in)', height: '157.9 mm (6.22 in)', depth: '7.9 mm (0.31 in)'}
download_boot: With the device powered off, hold <kbd>Volume Down</kbd> + <kbd>Power</kbd>.
gpu: Adreno 540
image: taimen.png
install_method: fastboot_nexus
is_ab_device: true
kernel: android_kernel_google_wahoo
maintainers: [chrmhoffmann, Eamo5, npjohnson]
name: Pixel 2 XL
network: [2G GSM, 3G UMTS, 3G CDMA2000, 4G LTE]
peripherals: [Accelerometer, Barometer, BeiDou, Compass, Dual front speakers, Fingerprint reader, Galileo, GLONASS, GPS, Gyroscope, Light sensor, NFC, Proximity sensor, USB OTG]
ram: 4 GB
recovery_boot: With the device powered off, hold <kbd>Volume Down</kbd> + <kbd>Power</kbd>. Then use the menu to select *Recovery Mode*.
recovery_reboot: fastboot_menu
release: 2017-10
screen: {size: '152.4 mm (6 in)', density: 538, resolution: '1440x2880', technology: 'AMOLED'}
soc: Qualcomm SDM835 Snapdragon 835
storage: 64/128 GB
tree: android_device_google_taimen
type: phone
vendor: Google
vendor_short: google
versions: [16.0, 17.1, 18.1, 19.1, 20]
wifi: 802.11 a/b/g/n/ac, Dual-band, WiFi Direct, Hotspot
